Subject: Re: TEST: Sleep suppport for iBook G4 & Aluminium PowerBooks (ATI based)

From: David Woodhouse <[email-masked]>
Date: Mon, 22 Nov 2004 08:25:09 +0000

On Sun, 2004-11-21 at 11:37 -0600, Olof Johansson wrote: 
> On Sun, Nov 21, 2004 at 11:01:08AM +1100, Benjamin Herrenschmidt wrote:
> > > Ok, I already found a bug, occasional lockups on boot and when setting
> > > the backlight. I uploaded a new version at:
> > 
> > Here's a 3rd version. It may or may not help, as I didn't have a chance
> > to test this one on either albook or ibook g4 yet. I added saving and
> > restoring of a few more registers that may fix the Xv problem (or not...
> > depends what X does at this point) and eventually some corruption
> > problem (the bandwidth related registers weren't restored).
> 
> This one caused problems for me. Looks like the backlight got turned off
> at boot, I had to sleep it and wake it up to get it back.

I've seen that since the first version. I also have to restart
pbbuttonsd to make it work again after sleep. I keep logging in on tty1
to run 'fblevel 15'.

Actually the backlight tends to turn off some time later, too. It's not
just that it's off after sleep.

-- 
dwmw2